data:extend(
{  

	{
		type = "recipe",
		name = "y-tx-recipe",				
		enabled = "true", -- research on
		energy_required = 2,
		ingredients = {{"iron-plate", 1},},
		result = "ye_tx",		
		result_count=1,		
		order = "a-a",
	},	
	
	{
		type = "item",
		name = "ye_tx",
		icon = "__yi_engines__/graphics/entity/tx_icon.png",
		flags = {"goes-to-quickbar"},		
		subgroup = "yie-engines",
		order = "a[ammo]-a[case]",
		place_result ="ye_tx",
		stack_size = 200,
	},
	
	
	{
		type = "assembling-machine",
		name = "ye_tx",
		icon = "__yi_engines__/graphics/entity/tx_icon.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "ye_tx"},
		max_health = 250,
		corpse = "big-remnants",
		resistances = {{type = "physical",percent = 60},},
		collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		fast_replaceable_group = "assembling-machine",

		animation =
		{
			
			filename = "__yi_engines__/graphics/entity/tx.png",			
			width = 128,
			height = 128,
			shift = {0.47, -0.5},
			frame_count = 1,
			line_length = 1,			
		},		
		crafting_categories = {"crafting", "advanced-crafting", "crafting-with-fluid"},
		crafting_speed = 2.0,
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input",
			emissions = 0.04 / 2.5
		},
		energy_usage = "300kW",
		ingredient_count = 4,
		ingredient_count = 4,
		order="a[atomics]",
		subgroup = "yie-engines",
	},	

})	